import request from '@/utils/request.js'


export const searchFileList = (params) => {
    return request({
        url: `/workflow/mosr/attachment/list`,
        method: "get",
        params: params
    });
};
export const searchAllFileList = (params) => {
    return request({
        url: '/workflow/mosr/attachment/all',
        method: "get",
        params: params
    });
};
export const uploadFileList = (data) => {
    return request({
        url: '/workflow/mosr/attachment/upload',
        method: "post",
        data: data
    });
};
export const searchImplementationFileList = (params) => {
    return request({
        url: '/workflow/mosr/attachment/implementation/list',
        method: "get",
        params: params
    });
};
export const switchAttachmentState = (data) => {
    return request({
        url: '/workflow/mosr/project/filing/attachment/switch',
        method: "post",
        data
    });
};
